library(GWmodel)
df3 <- df[df$tipus != "Kiadó szoba",]
df3 <- df3[df3$ar <= 400000,]
df4 <- df3[,c("ar","ater","szoba","felszoba","ker","metrotav","vonattav")]
lmmod <- lm(log(ar)~ater+log(tomkoz+1)+szoba+felszoba+Emelet,df3)
lmmod <- lm(log(ar)~as.factor(ker)+ater+eter+log(tomkoz+1)+szoba+felszoba+Emelet,df3)
lmmod <- lm(log(ar)~as.factor(ker)+ater+log(tomkoz+1)+szoba+felszoba+Emelet,df3)
lmmod <- lm(log(ar)~as.factor(ker)+log(ater)+log(eter)+log(tomkoz+1)+szoba+felszoba+Emelet,df3)
lmmod <- lm(log(ar)~as.factor(ker)+log(ater)+log(eter+1)+log(tomkoz+1)+szoba+felszoba,df3)
lmmod <- lm(log(ar/ater)~as.factor(ker)+log(tomkoz+1)+szoba+felszoba+Emelet,df3)
lmmod <- lm((ar/ater)~as.factor(ker)+log(tomkoz+1)+szoba+felszoba+Emelet,df3)
hist(df4$ar/df4$ater)
hist(log(df4$ar/df4$ater))
summary(lmmod)
str(df3)
hist(log(df4$ater))
min(df3$ar)
pairs(df3[,39:48])
str(df3)
hist(log(df3$tomkoz))
hist(log(df3$vonattav))
hist(log(df3$metrotav))
hist(df3$ar)
hist(log(df3$ar))
hist(df3$ater)
hist(log(df3$ater))
plot(as.factor(df3$ker))
plot(df3$ar,df3$tomkoz)
cor(df3[,c("ater","ar","szoba","felszoba","metrotav","vonattav")])
colnames(df3)
psych::describe(df3)
